CREATE TABLE [HR_LOG] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [operate_desc] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [operator_id] int  NULL,
  [operator_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [create_time] datetime  NULL,
  [operate_type] int  NULL,
  [params_str] varchar(2000) COLLATE Chinese_PRC_CI_AS  NULL,
  [client_ip] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [method_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [delete_type] int  NULL,
  [class_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [operate_module_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [operate_module] int  NULL,
  [message] varchar(2000) COLLATE Chinese_PRC_CI_AS  NULL,
  [value] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [HR_LOG] SET (LOCK_ESCALATION = TABLE)
GO




CREATE TABLE [JCL_FIELD_EXTENDGROUP] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [pid] int  NULL,
  [extend_type] int  NULL,
  [group_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [show_order] int  NULL,
  [is_show] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_system_default] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_FIELD_EXTENDGROUP] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_FIELD_EXTENDINFO] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [extend_type] int  NULL,
  [table_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [field_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [field_name_desc] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [field_type] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [control_type] int  NULL,
  [custom_value] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [browser_type] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [extend_group_id] int  NULL,
  [isenable] int  NULL,
  [isrequired] int  NULL,
  [list_show] int  NULL,
  [search_show] int  NULL,
  [edit_show] int  NULL,
  [add_show] int  NULL,
  [browser_show] int  NULL,
  [show_order] int  NULL,
  [is_system_default] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_FIELD_EXTENDINFO] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_FIELD_EXTENDTITLE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [group_id] int  NULL,
  [title] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [show_order] int  NULL,
  [is_show] int  NULL,
  [is_system_default] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_FIELD_EXTENDTITLE] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_COMP] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [comp_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [comp_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [comp_name_short] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [parent_company] int  NULL,
  [ec_company] int  NULL,
  [org_code] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [industry] int  NULL,
  [comp_principal] int  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [show_order] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL,
  [uuid] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [JCL_ORG_COMP] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_COMPEXT] (
  [id] int  NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_COMPEXT] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_COMPEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_COMPEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_DEPT] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [dept_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [dept_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [dept_name_short] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [parent_comp] int  NULL,
  [ec_company] int  NULL,
  [parent_dept] int  NULL,
  [ec_department] int  NULL,
  [dept_principal] int  NULL,
  [show_order] int  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL,
  [uuid] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [JCL_ORG_DEPT] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_DEPTEXT] (
  [id] int  NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_DEPTEXT] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_DEPTEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_DEPTEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_GRADE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [grade_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_id] int  NULL,
  [level_id] varchar(4000) NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_GRADE] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_HRMRELATION] (
  [id] int  NOT NULL,
  [scheme_id] int  NULL,
  [level_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_id] int  NULL,
  [sequence_id] int  NULL,
  [post_id] int  NULL,
  [post_info_id] int  NULL,
  [company_id] int  NULL,
  [department_id] int  NULL,
  [job_id] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_HRMRELATION] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_HRMRESOURCE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [work_code] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [login_id] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [last_name] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [sex] int  NULL,
  [account_type] int  NULL,
  [belong_to] int  NULL,
  [company_id] int  NULL,
  [department_id] int  NULL,
  [job_activity] int  NULL,
  [job_title] int  NULL,
  [job_call] int  NULL,
  [job_level] int  NULL,
  [job_group_id] int  NULL,
  [job_activity_desc] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [status] int  NULL,
  [system_language] int  NULL,
  [resource_image_id] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [messager_url] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [location_id] int  NULL,
  [manager_id] int  NULL,
  [assistant_id] int  NULL,
  [mobile] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [telephone] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [mobile_call] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [fax] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [email] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [workroom] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [pass_word] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [sec_level] int  NULL,
  [birthday] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [folk] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [native_place] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [reg_resident_place] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [certificate_num] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [marital_status] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [policy] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [be_member_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [be_party_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [islabouunion] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [degree] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [health_info] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [education_level] int  NULL,
  [height] varchar(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [weight] int  NULL,
  [use_kind] int  NULL,
  [start_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [end_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [probation_end_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [resident_place] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [home_address] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [temp_resident_number] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [company_start_date] varchar(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [work_start_date] varchar(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [accum_fund_account] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [account_name] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [bank_id] int  NULL,
  [account_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [show_order] int  NULL,
  [classification] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [company_work_year] decimal(10,2)  NULL,
  [work_year] decimal(10,2)  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_HRMRESOURCE] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_HRMRESOURCEEXT] (
  [id] int NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_HRMRESOURCEEXT] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_HRMRESOURCEEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_HRMRESOURCEEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_JOB] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [job_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [job_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [parent_comp] int  NULL,
  [ec_company] int  NULL,
  [parent_dept] int  NULL,
  [ec_department] int  NULL,
  [sequence_id] int  NULL,
  [scheme_id] int  NULL,
  [parent_job] int  NULL,
  [is_key] int  NULL,
  [workplace] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [work_duty] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [work_authority] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [show_order] int  NULL,
  [grade_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [level_id] varchar(4000) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_JOB] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_JOBDT] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [level_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [level_id_span] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_id_span] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_JOBDT] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_JOBEXT] (
  [id] int  NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_JOBEXT] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_JOBEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL,
  [post_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_idspan] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_idspan] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [JCL_ORG_JOBEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_LEVEL] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [level_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [level_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_id] int  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_LEVEL] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_POST] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [post_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_POST] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_POST_INFO] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [post_info_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_authority] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_duty] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_qualification] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_id] int  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_POST_INFO] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_SCHEME] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [scheme_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_SCHEME] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_SEQUENCE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [sequence_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [sequence_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_id] int  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_SEQUENCE] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_STAFF] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [plan_id] int  NULL,
  [comp_id] int  NULL,
  [ec_company] int  NULL,
  [dept_id] int  NULL,
  [ec_department] int  NULL,
  [job_id] int  NULL,
  [staff_num] int  NULL,
  [control_policy] int  NULL,
  [permanent_num] int  NULL,
  [freeze_num] int  NULL,
  [lack_status] int  NULL,
  [staff_desc] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_STAFF] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_STAFFPLAN] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [plan_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [plan_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [plan_year] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [time_start] datetime  NULL,
  [time_end] datetime  NULL,
  [company_id] varchar(4000) NULL,
  [ec_company] varchar(4000) NULL,
  [control_dimension] varchar(5) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_STAFFPLAN] SET (LOCK_ESCALATION = TABLE)
GO





CREATE TABLE [JCL_ORG_STAFFS] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [staff_id] int  NULL,
  [business_type] int  NULL,
  [change_num] int  NULL,
  [business_source] int  NULL,
  [requestid] int  NULL,
  [description] varchar(200)  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_STAFFS] SET (LOCK_ESCALATION = TABLE)
GO




CREATE TABLE [JCL_ORG_MAP] (
  [fid] int  IDENTITY(1,1) NOT NULL,
  [id] int NULL,
  [ftype] int  NULL,
  [fobjid] int  NULL,
  [fecid] int  NULL,
  [Uuid] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fclass] int  NULL,
  [fclassname] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fnumber] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fname] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleader] int  NULL,
  [fleaderimg] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleadername] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleaderjobid] int  NULL,
  [fleaderjob] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleaderlv] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleaderst] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fparentid] int  NULL,
  [fobjparentid] int  NULL,
  [fplan] int  NULL,
  [fonjob] int  NULL,
  [fisvitual] int  NULL,
  [fdatebegin] datetime  NULL,
  [fdateend] datetime  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [JCL_ORG_MAP] SET (LOCK_ESCALATION = TABLE)
GO



CREATE TABLE [JCL_IMPORT_HISTORY_DETAIL] (
    [id] int  IDENTITY(1,1) NOT NULL,
    [pid] int NOT NULL,
    [row_nums] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL,
    [status] varchar(80) COLLATE Chinese_PRC_CI_AS  NULL,
    [operate_detail] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
    [related_name] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL
    )
    GO

ALTER TABLE [JCL_IMPORT_HISTORY_DETAIL] SET (LOCK_ESCALATION = TABLE)
GO



CREATE TABLE [JCL_IMPORT_HISTORY] (
    [id] int  IDENTITY(1,1) NOT NULL,
    [operator] int NOT NULL,
    [operate_time] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL,
    [client_address] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL,
    [import_type] varchar(400) COLLATE Chinese_PRC_CI_AS  NULL,
    [source_from] varchar(400) COLLATE Chinese_PRC_CI_AS  NULL,
    [operate_type] varchar(400) COLLATE Chinese_PRC_CI_AS  NULL,
    [status] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL
    )
    GO

ALTER TABLE [JCL_IMPORT_HISTORY] SET (LOCK_ESCALATION = TABLE)
GO



ALTER TABLE [HR_LOG] ADD CONSTRAINT [HR_LOG_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_FIELD_EXTENDGROUP] ADD CONSTRAINT [JCL_FIELD_EXTENDGROUP_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_FIELD_EXTENDINFO] ADD CONSTRAINT [JCL_FIELD_EXTENDINFO_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_FIELD_EXTENDTITLE] ADD CONSTRAINT [JCL_FIELD_EXTENDTITLE_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_COMP] ADD CONSTRAINT [JCL_ORG_COMP_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_COMPEXT] ADD CONSTRAINT [JCL_ORG_COMPEXT_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_COMPEXT_DT1] ADD CONSTRAINT [JCL_ORG_COMPEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_DEPT] ADD CONSTRAINT [JCL_ORG_DEPT_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_DEPTEXT] ADD CONSTRAINT [JCL_ORG_DEPTEXT_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_DEPTEXT_DT1] ADD CONSTRAINT [JCL_ORG_DEPTEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_GRADE] ADD CONSTRAINT [JCL_ORG_GRADE_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_HRMRELATION] ADD CONSTRAINT [JCL_ORG_HRMRELATION_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_HRMRESOURCE] ADD CONSTRAINT [JCL_ORG_HRMRESOURCE_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_HRMRESOURCEEXT] ADD CONSTRAINT [JCL_ORG_HRMRESOURCEEXT_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_HRMRESOURCEEXT_DT1] ADD CONSTRAINT [JCL_ORG_HRMRESOURCEEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_JOB] ADD CONSTRAINT [JCL_ORG_JOB_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_JOBDT] ADD CONSTRAINT [JCL_ORG_JOBDT_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_JOBEXT] ADD CONSTRAINT [JCL_ORG_JOBEXT_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_JOBEXT_DT1] ADD CONSTRAINT [JCL_ORG_JOBEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_LEVEL] ADD CONSTRAINT [JCL_ORG_LEVEL_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_POST] ADD CONSTRAINT [JCL_ORG_POST_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_POST_INFO] ADD CONSTRAINT [JCL_ORG_POST_INFO_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_SCHEME] ADD CONSTRAINT [JCL_ORG_SCHEME_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_SEQUENCE] ADD CONSTRAINT [JCL_ORG_SEQUENCE_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_STAFF] ADD CONSTRAINT [JCL_ORG_STAFF_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO


ALTER TABLE [JCL_ORG_STAFFPLAN] ADD CONSTRAINT [JCL_ORG_STAFFPLAN_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_STAFFS] ADD CONSTRAINT [JCL_ORG_STAFFS_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO



ALTER TABLE [JCL_ORG_MAP] ADD CONSTRAINT [JCL_ORG_MAP_PK] PRIMARY KEY CLUSTERED ([fid])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO

ALTER TABLE [JCL_IMPORT_HISTORY_DETAIL] ADD CONSTRAINT [JCL_IMPORT_HISTORY_DETAIL_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO

ALTER TABLE [JCL_IMPORT_HISTORY] ADD CONSTRAINT [JCL_IMPORT_HISTORY_PK] PRIMARY KEY CLUSTERED ([id])
  WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO


CREATE TABLE [jcl_info] (
  [id] int  NOT NULL,
  [fname] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fvalue] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [jcl_info] SET (LOCK_ESCALATION = TABLE)
GO



INSERT INTO JCL_INFO (id, fname, fvalue) VALUES (1, '董事长人员id', '')
GO


ALTER TABLE [jcl_info] ADD CONSTRAINT [PK_jcl_info] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
  ON [PRIMARY]
GO

set IDENTITY_INSERT  JCL_FIELD_EXTENDGROUP ON
  insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (3, 3, '基础信息', 1, 0, GETDATE(), NULL, NULL, '1', 1, 0)
  set IDENTITY_INSERT JCL_FIELD_EXTENDGROUP OFF
GO

  set IDENTITY_INSERT  JCL_FIELD_EXTENDTITLE ON
  insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (3, 3, '基本信息', 1, 0, GETDATE(), NULL, 1, 1, 0)
  insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (6, 3, '职责信息', 1, 0, GETDATE(), NULL, 3, 1, 0)
  set IDENTITY_INSERT  JCL_FIELD_EXTENDTITLE OFF
GO

set IDENTITY_INSERT  JCL_FIELD_EXTENDINFO ON
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(20, 3, 'JCL_ORG_JOB', 'job_no', '编号', 'varchar(100)', 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(22, 3, 'JCL_ORG_JOB', 'description', '工作概述', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 1, 1, 0, GETDATE(), NULL, NULL, '["textarea","",""]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(23, 3, 'JCL_ORG_JOB', 'job_name', '名称', 'varchar(100)', 1, 3, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(25, 3, 'JCL_ORG_JOB', 'work_duty', '任职职责', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 2, 1, 0, GETDATE(), NULL, NULL, '["textarea","",""]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(26, 3, 'JCL_ORG_JOB', 'ec_department', '所属部门', 'int', 3, 3, 1, 1, 1, 1, 1, 1, 1, 3, 1, 0, GETDATE(), NULL, '4', '["browser",{"valueSpan":"部门","replaceDatas":[{"name":"部门","id":"4"}],"value":"4"}]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(27, 3, 'JCL_ORG_JOB', 'work_authority', '工作权限', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 3, 1, 0, GETDATE(), NULL, NULL, '["textarea","",""]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(29, 3, 'JCL_ORG_JOB', 'ec_company', '所属分部', 'int', 3, 3, 1, 1, 1, 0, 0, 0, 1, 4, 1, 0, GETDATE(), NULL, '164', '["browser",{"valueSpan":"分部","replaceDatas":[{"name":"分部","id":"164"}],"value":"164"}]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(32, 3, 'JCL_ORG_JOB', 'is_key', '是否关键岗', 'int', 5, 3, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0, GETDATE(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"否"},{"default":"","unuse":"0","id":"1","key":"1","option":"是"}],"sort":"horizontal"}]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(33, 3, 'JCL_ORG_JOB', 'workplace', '工作地点', 'varchar(100)', 1, 3, 1, 0, 1, 1, 1, 0, 1, 7, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(34, 3, 'JCL_ORG_JOB', 'forbidden_tag', '禁用标记', 'int', 5, 3, 1, 0, 1, 1, 0, 0, 1, 8, 1, 0, GETDATE(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(35, 3, 'JCL_ORG_JOB', 'show_order', '显示顺序', 'int', 1, 3, 1, 0, 1, NULL, 1, 1, 1, 9, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(36, 3, 'JCL_ORG_JOB', 'parent_comp', '所属分部', 'int', 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0)
INSERT INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES(37, 3, 'JCL_ORG_JOB', 'parent_dept', '上级部门', 'int', 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0)

set IDENTITY_INSERT  JCL_FIELD_EXTENDINFO OFF
GO